      SUBROUTINE readgournew1(maxyear,monthx,ntyp,thermal_bias,
     * nyearmin,nyearmax)
      parameter (icmax=10)
      character*80 text, filename

      dimension thermal_bias(maxyear,monthx,ntyp)
      dimension icomma(icmax,2)

      call extraname('sys.inf'//CHAR(0),
     * 'bias_thermal_t4t6_monthly.dat'//CHAR(0),filename)

       open(9,file=filename,status='old')
 
      nyearmin=maxyear
      nyearmax=0

      do 50 ny=1,3000
       call clearstring(text,80)
      read(9, '(a)', end=4) text
      call findlastchar(nsp,text,80)

      call commafindx(nsp,icmax,ncomma,icomma,text)
      if ( ncomma .lt. 2) goto 50
      read(text(icomma(3,1):icomma(3,1)+icomma(3,2)-1),*)
     * nyear
       if (nyear .lt. 1967) nyearmin=nyear
       if (nyear .gt. nyearmax) nyearmax=nyear
c      write(6,*)'nyearmin,nyearmax,t4',nyearmin,nyearmax
      read(text(icomma(4,1):icomma(4,1)+icomma(4,2)-1),*)
     * month
      read(text(icomma(5,1):icomma(5,1)+icomma(5,2)-1),*)
     * thermal_bias(nyear,month,1)

c       write(6,*) iyear,month,thermal_bias(iyear,month,1)
50    continue
4     continue
      close(9)

      return
      end
